<script setup>
// const localePath = useLocalePath();
</script>

<template>
  <footer class="relative h-[470px] bg-white/75 font-las mt-[80px]">
    <div class="container mx-auto px-4 py-8">
      <div class="flex justify-between flex-col lg:flex-row">
        <div class="flex-1 text-center lg:text-left mb-14 lg:mb-0">
          <label for="newsletter" class="text-las-green mb-2 text-2xl">
            On t'informe par Newsletter
          </label>

          <form
            class="flex relative max-w-[305px] mx-auto lg:mx-0"
            @submit.prevent="() => {}"
          >
            <input
              id="newsletter"
              class="pl-2 pr-20 border border-gray-300 w-full h-[35px] rounded-xl text-lg ml-2"
              type="email"
              :placeholder="'J\'inscris mon mail'"
            />

            <button
              type="submit"
              :class="[
                'absolute',
                'inset-y-1',
                'right-2',
                'p-1',
                'bg-las-green',
                'text-white',
                'text-base',
                'leading-none',
                'font-bold',
                'rounded',
                'w-[90px]',
              ]"
            >
              Envoyer
            </button>
          </form>
        </div>

        <div class="mb-8 lg:mb-0 text-center">
          <NuxtLink class="inline-block mx-auto" :to="'/'">
            <img
              src="/images/logo.svg"
              alt="L'Autre Scène"
              width="240px"
              class="hidden lg:block"
            />

            <img
              src="/images/logo.svg"
              alt="L'Autre Scène"
              width="150px"
              class="lg:hidden"
            />
          </NuxtLink>
        </div>

        <div class="flex-1 flex">
          <div class="flex mr-auto ml-auto lg:mr-0">
            <a href="#" target="_blank" class="hover:opacity-75">
              <img src="/images/linkedin.svg" alt="Linkedin" />
            </a>

            <a href="#" target="_blank" class="mx-4 hover:opacity-75">
              <img src="/images/instagram.svg" alt="Instagram" />
            </a>

            <a href="#" target="_blank" class="hover:opacity-75">
              <img src="/images/facebook.svg" alt="Facebook" />
            </a>
          </div>
        </div>
      </div>

      <div class="my-20 text-center font-semibold">
        <div>
          <a :href="`tel:+33 (0)6 24 47 21 58`">
            +33 (0)6 24 47 21 58
          </a>
        </div>

        <div>
          <a :href="`mailto:contact@lautre-scene.fr`">
            contact@lautre-scene.fr
          </a>
        </div>

        <div>
          Av. de la Maveria, 74940 Annecy
        </div>
      </div>

      <div class="flex flex-col lg:flex-row text-center">
        <div class="lg:ml-auto">
          <a href="#">
            {{ 'layouts.footer.links.legal_mentions' }}
          </a>
        </div>

        <span class="hidden lg:block mx-6">|</span>

        <div>
          <a href="#">
            {{ 'layouts.footer.links.privacy' }}
          </a>
        </div>

        <span class="hidden lg:block mx-6">|</span>

        <div class="lg:mr-auto">
          <a href="#">
            {{ 'layouts.footer.links.cookies' }}
          </a>
        </div>
      </div>
    </div>
  </footer>
</template>
